/* Google Fonts */
html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    font-family: 'Poppins', sans-serif;
    color: #333;
    background-color: #faf7f2;
}


/* Navigation */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 70px;
   
    background-color: #3b1f2b;
    color: white;
}


.logo img{
    width:80px;
    height:auto;
    display:block;
}

.menu-toggle{
    display:none;
    font-size:32px;
    color:white;
    cursor:pointer;
}


.nav-links {
    display: flex;
    list-style: none;
    gap: 40px;
}


.nav-links a {
    color: white;
    text-decoration: none;
    font-size: 16px;
}


.nav-links a:hover {
    color: #d4af37;
}



/* Hero Section */


.home-hero {
    background-image: url("../images/home-hero.jpg");
     min-height: 558px;
    background-size: cover;
    background-position:center 30%;
    background-repeat: no-repeat;

    display: flex;
    justify-content: center;
    align-items: center;

    text-align: center;
   
    color:white;
  
     
}



.home-hero-content {

 max-width:800px;
 transform: translateY(38px);
 
}


.home-hero h1 {

    font-family:'Playfair Display', serif;
    font-size:55px;
    margin-bottom:15px; 
    text-shadow:0 4px 12px rgba(0,0,0,.45);
}



.home-hero p {

    font-size:18px;
    line-height:1.7;
    margin-top:0;
    

}


.btn{

    display:inline-block;

    background:#D6B000;

    color:white;

    padding:15px 30px;

    border-radius:50px;

    text-decoration:none;

    font-weight:600;

    transition:.3s ease;

}

.btn:hover{

    transform:translateY(-3px);

    background:#c3a000;

}

.career-hero {

    min-height: 558px;

    background:
        
        url("../images/home-hero.jpg");

    background-size: cover;
    background-position: center 30%;
    background-repeat: no-repeat;

    display: flex;
    justify-content: center;
    align-items: center;

    text-align: center;
   
    color:white;
}


.career-hero h1 {

    font-family:'Playfair Display', serif;
    font-size:55px;
    margin-bottom:40px;
    
}


.career-hero p {

    font-size:18px;
    line-height:1.7;
    margin-top:0;
    
}

.career-hero-content {

    max-width:800px;
 transform: translateY(-25px);
}




/* Sections */


.about{
    padding:45px 8% 25px;
    text-align:center  
}

.about p{
    margin-bottom:0;
}

.collection{
    padding:25px 8% 55px;
    text-align:center
}

.hours,
.contact {

    padding:55px 8%;

    text-align:center;

}



h2 {

    font-family:'Playfair Display', serif;

    font-size:40px;

    color:#3b1f2b;

}



/* Collection Cards */

.card img{
    width:100%;
    height:220px;
    object-fit:cover;
    border-radius:12px;
    margin-bottom:20px;
}
.cards {

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:35px;

    margin-top:40px;

}



.card {

    background:white;

    padding:35px;

    border-radius:15px;

    box-shadow:0 5px 20px rgba(0,0,0,0.1);

     display:flex;
    flex-direction:column;
    align-items:center;

}



.card h3 {

    color:#3b1f2b;

    font-size:22px;

}



.card:hover {

    transform:translateY(-5px);

    transition:0.3s;

}




/* Business Hours */


.hours {

    background:#3b1f2b;
    color:white;
    align-items: center;

}



.hours h2 {

    color:white;

}


.hours-box {

    font-size:18px;

}



/* Contact */


.contact {

    background:#f2eadf;

}

.address{
    text-align: center;
    line-height:1.7;
    margin-bottom:35px;
}

.address a{
    color:#333;
    text-decoration:none;
    
    transition:0.3s;
}

.address a:hover{
    color:#8b5e3c;
    text-decoration:underline;
}
.phone{
    margin-top:30px;
    font-size:18px;
    font-weight:400;
    color:#333;
    text-align:center;
}

/* Footer */


footer {

    background:#21141a;

    color:white;

    text-align:center;

    padding:10px 20px;

}
footer p{
    margin:0;
    font-size:16px;
    line-height:1.3;
}



/* Mobile Responsive */


@media(max-width:768px){


.navbar{
    padding:10px 18px;
    flex-direction:row;
}

.logo img{
    width:75px;
}

.menu-toggle{
    display:block;
}

.nav-links{
    display:none;
    position:fixed;
    top:80px;
    left:0;
    width:100%;
    background:#3b1f2b;
    flex-direction:column;
    text-align:center;
    padding:20px 0;
    gap:20px;
    z-index:1000;
}

.nav-links.active{
    display:flex;
}

.home-hero{
    background-image:url("../images/home-hero-mobile.jpg");

    height:580px;
    background-size:cover;
    background-position:79.2% 25%;
    padding:20px;

}
.home-hero-content{
    transform:translateY(2px);
}

.home-hero h1{
    font-size:32px;
    line-height:1.3;
}
.home-hero p{
    font-size:14px;
    line-height:1.7;
    padding: 1 20px;
    margin-left: 5px; /* slightly to the left */
     margin-top: 25px;
}
.btn{
    padding:14px 28px;
    font-size:16px;
    margin-top: 36px;
    transition: all 0.3s ease;
}

.career-hero{
    background-image:url("../images/home-hero-mobile.jpg");

    height:580px;
    background-size:cover;
    background-position:79.2% 25%;
    padding:20px;
}


.career-hero h1{
    font-size:36px;
    line-height:1.3;
    
}

.career-hero p{
    font-size:16px;
    line-height:1.5;
    padding:1 20px;
    margin-top: 26px;
}

.about,
.collection{
    padding-top:20px;
}

.about h2{
    font-size:34px;
}

.cards{
    grid-template-columns:1fr;
    gap:20px;
}

.card{
    padding:22px;
}

.card img{
    height:180px;
}

.card h3{
    font-size:20px;
}

.card p{
    font-size:15px;
    line-height:1.6;
}

footer{
   background: #21141a;
    color: white;
    text-align: center;
    padding: 8px 20px;
}
footer p{
    margin:0;
    font-size: 10px;
}

.hours,
.contact{
    padding:25px 20px;
}
.address{
    font-size:16px;
    line-height:1.6;
}
.card{
    padding:20px;
}

.card h3{
    font-size:24px;
}

.card p{
    font-size:15px;
}

.hours h2{
    font-size:34px;
}

.contact .btn{
    width:auto;
}

.careers-btn{
   
    margin:25px auto 0;
    padding:15px 20px;
    text-align:center;
}

.card img {

    width:100%;

    height:220px;

    object-fit:cover;

    border-radius:12px;

    margin-bottom:20px;

}


.application-form {

    max-width:600px;

    margin:auto;

    display:flex;

    flex-direction:column;

    gap:15px;

}


.application-form input,
.application-form textarea,
.application-form select {


    padding:15px;

    border:1px solid #ddd;

    border-radius:8px;

    font-family:'Poppins', sans-serif;


}



.application-form textarea {

    height:120px;

}



.application-form button {
    display: block;
    width: 260px;
    margin: 15px auto 0;
    padding: 15px 20px;
    font-size: 16px;
    border-radius: 30px;
}

.application-form button:hover {

    background:#d4af37;
    transform: translateY(-2px);
}

.career-text{
    max-width:750px;
    margin:20px auto;
    line-height:1.8;
    font-size:18px;
    color:#555;
}

}





